package info.aspirecn.iov.sjjh.shupplier10000005.vo;

import lombok.Data;
import lombok.Getter;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/6/16 13:33
 * @version: V1.0
 **/
@Data
@XmlRootElement(name = "XY_IdcardPhoto")
@XmlAccessorType(value = XmlAccessType.FIELD)
public class PhotoIdentityCheckV2ResponseObject {
    @XmlElement(name = "ErrorRes")
    private ErrorRes errorRes;
    @XmlElement(name = "result")
    private Result result;

    @Getter
    public static class ErrorRes {
        @Getter
        @XmlElement(name = "Err_code")
        private String errorCode;
        @Getter
        @XmlElement(name = "Err_content")
        private String errorContent;
    }
    @Getter
    public static class Result {
        @Getter
        @XmlElement(name = "Validate_Result")
        private String validateResult;
        @Getter
        @XmlElement(name = "Similarity")
        private String similarity;
    }
    @Getter
    public static class PhotoIdentityResponseRow {
        @Getter
        @XmlElement(name = "INPUT")
        private PhotoIdentityResponseInput input;
        @Getter
        @XmlElement(name = "OUTPUT")
        private PhotoIdentityResponseOutput output;
    }

    @Getter
    public static class PhotoIdentityResponseInput {
        @Getter
        @XmlElement(name = "gmsfhm")
        private String idCode;
        @Getter
        @XmlElement(name = "xm")
        private String name;
    }

    @Getter
    public static class PhotoIdentityResponseOutput {
        @Getter
        @XmlElement(name = "ITEM")
        private List<PhotoIdentityResponseItem> items;
    }

    @Getter
    public static class PhotoIdentityResponseItem {
        @Getter
        @XmlElement(name = "result_gmsfhm")
        private String idCodeResult;
        @Getter
        @XmlElement(name = "result_xm")
        private String nameResult;
        @Getter
        @XmlElement(name = "result_fx")
        private String photoResult;
        @Getter
        @XmlElement(name = "result_fs")
        private String photoResultScore;
    }
}
